Subject: Re: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: David Kastrup <[email-masked]>
Date: Sat, 07 Apr 2018 19:33:29 +0200

[email-masked] writes:

> Sorry for these multiple replies.
>
> Besides Emacs, I also have Cygwin and Msys32 installed in my Windows
> system. And at the beginning of my Emacs init file I have this:
>
> (setenv "PATH" (concat
> "C:\\msys32\\mingw32\\bin;C:\\cygwin\\bin;C:\\cygwin\\lib;" (getenv
> "PATH")))
> (setq exec-path (append '("C:/cygwin/bin" "C:/cygwin/lib"
> "C:/msys32/mingw32/bin") exec-path))
>
> I wonder whether AUCTeX in my case is using some command from cygwin
> to update TEXINPUTS, and that takes care of the ";".
>
> Do you also have cygwin on your system?
>
> But I think that by now David has already guessed where the problem
> is, so I'll see what he says.

No, I haven't.  But I suspect that in previous AUCTeX versions the path
separator was autodetected by explicitly calling kpse executables (which
is what I coded) and it has been replaced by some other code.

We had some iterations of that already if I remember correctly.  The
problem addressed by the original code was that even on Windows, various
search path separators are in use depending on the TeX system in use and
its runtime environment, and they may even differ between command line
and configuration file.

-- 
David Kastrup